org.jbpm.process.workitem.core.util

## Class WidInfo.InternalServiceAuth

- java.lang.Object
- - org.jbpm.process.workitem.core.util.WidInfo.InternalServiceAuth

- Enclosing class:
    WidInfo

      public class WidInfo.InternalServiceAuth
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalServiceAuth(boolean required, String[] params, String[] paramsDescription, String description, String referencesite)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String[]` | `getParams()`
    `String[]` | `getParamsDescription()`
    `String` | `getReferencesite()`
    `boolean` | `isRequired()`
    `void` | `setDescription(String description)`
    `void` | `setParams(String[] params)`
    `void` | `setParamsDescription(String[] paramsDescription)`
    `void` | `setReferencesite(String referencesite)`
    `void` | `setRequired(boolean required)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalServiceAuth

          public InternalServiceAuth(boolean required,
                                     String[] params,
                                     String[] paramsDescription,
                                     String description,
                                     String referencesite)

  - ### Method Detail

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired(boolean required)

    - #### getParams

          public String[] getParams()

    - #### setParams

          public void setParams(String[] params)

    - #### getParamsDescription

          public String[] getParamsDescription()

    - #### setParamsDescription

          public void setParamsDescription(String[] paramsDescription)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getReferencesite

          public String getReferencesite()

    - #### setReferencesite

          public void setReferencesite(String referencesite)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.